"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_retry_1 = require("@smithy/util-retry");
class Globals {
    static getRetryStrategy(attempts = 3, delay = 3000, backoff = 500) {
        return new util_retry_1.ConfiguredRetryStrategy(attempts, // max attempts.
        // This example sets the backoff at 500ms plus 3s per attempt.
        // https://docs.aws.amazon.com/AWSJavaScriptSDK/v3/latest/modules/_aws_sdk_util_retry.html#aws-sdkutil-retry
        (attempt) => backoff + attempt * delay // backoff function.
        );
    }
}
Globals.pluginName = "Serverless VPC Discovery";
exports.default = Globals;
